Subject: Re: (RFC 3270)-DIFFSERV -L-LSP question

From: Mustapha Aissaoui <[email-masked]>
Date: Tue, 22 Jun 2004 13:05:34 -0400

Anindya,
see below.

Mustapha.
-----------
Anindya Roy wrote:
> 
> Hi All,
> 
>         I know this is a PWE3 WG. But just wanted to know if there is any
> comment on this.
> 
>          During a L-LSP setup, from control signaling perspective, only the
> PSC mapping needs to be conveyed, or it can be pre-configured by the n/w
> operator.
> The EXP bits in the MPLS shim header, should be now used to derive what
> drop profile to use in context with discard.
> From the context of an LER, which is, suppose receiving ATM cells and
> encapsulating it into a MPLS packet before forwarding it to an LSR, is it
> then now mandatory for the LER to apply the MPLS shim header or is it
> optional.

MA> I assume you meant to ask if it were manadatory for the LER to
mark the EXP field of a PW packet based on the service category and
CLP settings of the ATM VC? If so, this is operation is optional
according to Section 11 of draft-ietf-pwe3-atm-encap-05.txt.

> 3 bits of EXP can result in 8 possible drop profiles, now do we leave it
> on the LSR to interpret the EXP bits in this context, or do we need to
> negotiate the mapping through signaling or does that need to be
> pre-configured.

MA> Once the PSC is signaled or provisioned in the L-LSP setup, the
LSR interprets the EXP field in accordance to RFC3270. A PE will
typically provide a user-configurable mapping of the ATM service
category and CLP settings into the EXP values. All what matters is
that the operator selects the EXP values which will result in the
desired behaviour in the MPLS network. For example, if an operator
wishes to provide the same lowest drop-precedence for all cells of a
VBR.3 VC (CLP-significant service) over a AF1 PSC, all PW packets
resulting from that ATM VC will be marked with the same EXP value of
001 (AF11). If the operator wants to distinguish between CLP0 and
CLP1 flows within that PW, it will mark CLP1 cells with a EXP of 010
(AF12).
 
> Thanks
> 
> Anindya
> 
> On Mon, 21 Jun 2004, Mustapha Aissaoui wrote:
> 
> > Hi Fabio,
> > the mapping of the CLP bit to EXP is discussed in Section 11 of
> > draft-ietf-pwe3-atm-encap-05.txt. The authors did not specify rules
> > for the mapping nor values of the EXP field. This is usually a user
> > configurable mapping on a PE.
> >
> > There are two cases to consider when using cell concatenation in any
> > of the two cell modes (1:1 and N:1). If the ATM VC is of a
> > CLP-transparent conformance definition (i.e., CBR, VBR.1), then the
> > value of the CLP bit does not matter. A single value of EXP should
> > reflect the QoS treatment required from the MPLS network. If it is a
> > CLP significant conformance definition, i.e., VBR.2 and VBR.3, then
> > a rule should be used in the mapping. An example of a rule is the
> > one used for mapping the CLP bit into the control word in the AAL5
> > modes. But this should be user-configurable.
> >
> > Regards,
> > Mustapha.
> > --------
> > Fabio Poggi wrote:
> > >
> > > Hi all,
> > > I've read draft-martini-l2circuit-encap-mpls-07 and I've one question
> > > regarding cap. 4.2.4 "CLP bit to Quality of Service mapping":
> > > How this mapping is resolved in case of 'ATM Cells mode' encapsulation
> > ?
> > > For example, in the diagram illustrating 'ATM Cells mode'
> > encapsulation
> > > with two different ATM cells provided in the document. Conceptually
> > the two
> > > ATM cells could have different CLP values. How these, probably
> > different,
> > > values are used to set the 'unique' QoS field in the MPLS label stack
> > ?
> > >
> > > Is it possible to assume the same rule defined in 'ATM AAL5 CPCS-SDU
> > Mode'
> > > for L (CLP) bit ?
> > >
> > > Fabio
> > >
> > > _______________________________________________
> > > pwe3 mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/pwe3
> >
> > _______________________________________________
> > pwe3 mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/pwe3
> >